Overview
GET
/search/notessearchFull-text search the caller's notes (markdown body)
List notes.
Auth: bearerAuth — calls run as the authenticated user.
Parameters
- qquerystring
Responses
200
Matching notes, most-recently-updated first
- resultsSearchNoteResult[]
- limitinteger
Example
{
"results": [
{
"id": "string",
"title": "string",
"content": "string",
"createdAt": "string",
"updatedAt": "string"
}
],
"limit": 0
}400
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}401
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}Code examples
cURL
curl -X GET "https://api.agenticdeveloperhub.com/search/notes" \
-H "Authorization: Bearer YOUR_TOKEN"JavaScript
const res = await fetch("https://api.agenticdeveloperhub.com/search/notes", {
method: "GET",
headers: {
"Authorization": "Bearer YOUR_TOKEN"
},
});
const data = await res.json();